From e9866a91b8547840a2882bc2a36fb2cfa1cb8280 Mon Sep 17 00:00:00 2001
From: Raphael Hertzog <hertzog@debian.org>
Date: Thu, 8 Oct 2015 13:17:40 -0700
Subject: Add main function

 This is needed so that we can call the program from a
 wrapper.
Forwarded-Upstream: no (no clear upstream)

Patch-Name: add_main_function.diff
---
 trml2pdf/trml2pdf.py | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/trml2pdf/trml2pdf.py b/trml2pdf/trml2pdf.py
index 8e93bf2..1d710cf 100755
--- a/trml2pdf/trml2pdf.py
+++ b/trml2pdf/trml2pdf.py
@@ -549,7 +549,7 @@ def trml2pdf_help():
 	print 'Render the standard input (RML) and output a PDF file'
 	sys.exit(0)
 
-if __name__=="__main__":
+def main():
 	if len(sys.argv)>1:
 		if sys.argv[1]=='--help':
 			trml2pdf_help()
@@ -557,3 +557,6 @@ if __name__=="__main__":
 	else:
 		print 'Usage: trml2pdf input.rml >output.pdf'
 		print 'Try \'trml2pdf --help\' for more information.'
+
+if __name__=="__main__":
+    main()
